Bug 1331652 - [PATCH] Disable sslv3 in imapfilter
Summary: [PATCH] Disable sslv3 in imapfilter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imapfilter
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Andrea Veri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-29 07:23 UTC by Codarren Velvindron
Modified: 2018-04-11 07:33 UTC (History)
4 users (show)

Fixed In Version: imapfilter-2.6.10-2.fc26 imapfilter-2.6.10-2.fc25 imapfilter-2.6.10-2.el7 imapfilter-2.6.10-2.el6 imapfilter-2.6.10-2.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 00:07:38 UTC
Type: Bug


Attachments (Terms of Use)
imapfilter-disablesslv3 patch (1020 bytes, patch)
2016-04-29 07:23 UTC, Codarren Velvindron
no flags Details | Diff
imapfilter spec diff file (652 bytes, patch)
2016-04-29 07:23 UTC, Codarren Velvindron
no flags Details | Diff

Description Codarren Velvindron 2016-04-29 07:23:07 UTC
Created attachment 1152150 [details]
imapfilter-disablesslv3 patch

Description of problem:https://www.rfc-editor.org/rfc/rfc7568.txt
According to rfc7568, sslv3 is no longer considered secure. This patch disables sslv3 if the system's openssl is compiled without it.

Version-Release number of selected component (if applicable):
imapfilter-2.5.6

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Codarren Velvindron 2016-04-29 07:23:49 UTC
Created attachment 1152151 [details]
imapfilter spec diff file

Comment 2 Jan Kurik 2016-07-26 04:05:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Matěj Cepl 2017-08-03 19:54:02 UTC
This bug would be fixed by the rebase to the latest upstream release, see https://copr.fedorainfracloud.org/coprs/mcepl/imapfilter/build/586326/

Comment 4 Fedora Update System 2017-10-23 11:17:38 UTC
imapfilter-2.6.10-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb8a828061

Comment 5 Fedora Update System 2017-10-23 11:17:51 UTC
imapfilter-2.6.10-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eaaddb155

Comment 6 Fedora Update System 2017-10-23 11:18:01 UTC
imapfilter-2.6.10-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-98c4798f95

Comment 7 Fedora Update System 2017-10-23 11:18:11 UTC
imapfilter-2.6.10-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f0e15d7cb

Comment 8 Fedora Update System 2017-10-23 11:18:21 UTC
imapfilter-2.6.10-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-059dacf077

Comment 9 Fedora Update System 2017-10-23 16:22:34 UTC
imapfilter-2.6.10-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-059dacf077

Comment 10 Fedora Update System 2017-10-23 23:17:21 UTC
imapfilter-2.6.10-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb8a828061

Comment 11 Fedora Update System 2017-10-23 23:19:07 UTC
imapfilter-2.6.10-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-98c4798f95

Comment 12 Fedora Update System 2017-10-23 23:22:08 UTC
imapfilter-2.6.10-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f0e15d7cb

Comment 13 Fedora Update System 2017-10-23 23:49:58 UTC
imapfilter-2.6.10-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eaaddb155

Comment 14 Fedora Update System 2017-11-01 00:07:38 UTC
imapfilter-2.6.10-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-01 16:42:43 UTC
imapfilter-2.6.10-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-07 22:15:45 UTC
imapfilter-2.6.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-07 23:42:26 UTC
imapfilter-2.6.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-11-11 03:02:20 UTC
imapfilter-2.6.10-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.